package query

import (
	"git.science.uu.nl/graphpolaris/query-conversion/entity"
	"git.science.uu.nl/graphpolaris/query-conversion/entity/entitycypher"
)

// A Converter converts an incoming message in our JSON format to a format like AQL or Cypher
type Converter interface {
	ConvertQuery(JSONQuery *entity.IncomingQueryJSON) (*string, error)
}
type CypherConverterPlaceholder interface {
	ConvertQuery(JSONQuery *entitycypher.IncomingQueryJSON) (*string, error)
}
